Page MenuHomePhabricator

[keyresult] Prototype CI integration with Differential
Closed, ResolvedPublic

Description

Quarterly Goal deliverable for 2015-16 Q1 (July - Sept).

Event Timeline

greg created this task.Jun 19 2015, 4:50 PM
greg raised the priority of this task from to Normal.
greg updated the task description. (Show Details)
greg added subscribers: greg, demon, hashar and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2015, 4:50 PM
jayvdb added a subscriber: jayvdb.Jun 22 2015, 12:04 PM
mmodell claimed this task.Jul 28 2015, 4:37 PM
mmodell raised the priority of this task from Normal to High.

This is a quarterly goal, therefore, priority -> high

Between Herald and Harbormaster, we now have all the pieces in place.

Interesting and useful upstream development: Allow configuration of a "staging area" for each repository - staging areas are a feature which enables arcanist to push revisions to a git repo that can then be tested via harbormaster. This means that the CI infrastructure doesn't have to use arc to checkout revisions for testing.

My current plan is to get harbormaster hooked up to trigger tests in jenkins. At the very least I expect to have harbormaster triggering a 'dummy' test build for each differential revision and/or diffusion commit.

Qgil added a subscriber: Qgil.Aug 28 2015, 6:44 AM
mmodell lowered the priority of this task from High to Normal.Sep 10 2015, 11:43 PM
greg renamed this task from Prototype CI integration with Differential to [keyresult] Prototype CI integration with Differential.Sep 19 2015, 1:30 AM
greg set Security to None.
Gilles added a subscriber: Gilles.
greg added a comment.Sep 23 2015, 9:36 PM

Just talked with Mukunda about this one: he's done a lot of the prototyping but is getting befuddled by Jenkins. Will probably need a pairing session with @hashar at some point :)

greg moved this task from To Triage to Documentation on the Gerrit-Migration board.Oct 2 2015, 7:42 PM
greg moved this task from To Triage to Backlog on the Differential board.Nov 4 2015, 7:04 PM
greg added a comment.Dec 2 2015, 10:49 PM

Talked a bit with @mmodell about this in our 1:1 today. Thoughts are:

  • "prototyping" has been mostly done, but there isn't any direct point-to-able thing from it yet
  • a idea to port the scap jobs to nodepool (thus triggered from Differential, with Jenkins/arcanist/whatever reporting back the build status) as a next step
greg added a comment.Dec 2 2015, 10:50 PM
  • a idea to port the scap jobs to nodepool (thus triggered from Differential, with Jenkins/arcanist/whatever reporting back the build status) as a next step

Oh right, the "whatever" there could be a simple script that does the conduit API calls so we don't have to install arcanist itself on the build slaves.

demon added a comment.Dec 2 2015, 11:03 PM
  • a idea to port the scap jobs to nodepool (thus triggered from Differential, with Jenkins/arcanist/whatever reporting back the build status) as a next step

Oh right, the "whatever" there could be a simple script that does the conduit API calls so we don't have to install arcanist itself on the build slaves.

The easiest way to call conduit from the CLI is actually using arc ;P

@demon: yes but that means installing arc on build slaves which means packaging arcanist.

The easiest way to call conduit from the CLI is actually using arc ;P

mmodell closed this task as Resolved.Jan 11 2016, 11:28 PM

I think this can be considered a success.

They look good but is there anyway for if a build to succeed or fail to show the colour for example green for success and red for fail like it does on gerrit.

greg added a comment.Mar 1 2016, 4:53 PM

It's in the Diff Detail section:

But sure, adding a checkmark or red x or something in the comment is a fine idea (but a nice to have and not a blocker for a prototype).

It's in the Diff Detail section:


But sure, adding a checkmark or red x or something in the comment is a fine idea (but a nice to have and not a blocker for a prototype).

Yes not a blocker, but I mean in the comment box.

One can send markup that would be interpreted by Phabricator. Ie icons from http://fortawesome.github.io/Font-Awesome/icons/

OK{icon check color=green}
OK (non voting){icon info-circle color=green}
Failed (non voting){icon info-circle color=yellow}
Failed{icon ban color=red}
Whatever else{icon info-circle color=blue}